Commit 5123e9cf0193031bdc580cb221427cbd29ba3677

Anthony Green 2019-11-12T09:21:57

Use rlgl for cfarm test results

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
diff --git a/.travis/build.sh b/.travis/build.sh
index 6a388dc..3d62728 100755
--- a/.travis/build.sh
+++ b/.travis/build.sh
@@ -21,7 +21,12 @@ fi
 
 function build_cfarm()
 {
-    curl -u ${CFARM_AUTH} https://cfarm-test-libffi-libffi.apps.home.labdroid.net/test?host=${HOST}\&commit=${TRAVIS_COMMIT}
+    curl -u ${CFARM_AUTH} https://cfarm-test-libffi-libffi.apps.home.labdroid.net/test?host=${HOST}\&commit=${TRAVIS_COMMIT} | tee libffi.log
+
+    ./rlgl l https://rl.gl
+    ID=$(./rlgl start)
+    ./rlgl e --id=$ID --policy=https://github.com/libffi/rlgl-policy.git libffi.log
+    exit $?
 }
 
 function build_linux()